none
Security Update for Microsoft .NET Framework 1.1 SP1 on Windows XP, Windows Vista, and Windows Server 2008 x86 (KB2572067)

    Question

  • This automatic update fails to install on my system which is XP Pro SP3.  I have NET Framework 2.o installed.  It appears to install, and then says the installation failed.  It just keeps coming up again and again.  I tried using the download version, but it said I had to have the disc for NET 1.1 to continue.  What is going on here?
    Friday, October 14, 2011 1:28 PM

All replies

  • okay first uninstall dot net framework 2.0 from your computer.

    next install .net framework 1.1 from here : http://www.microsoft.com/download/en/details.aspx?id=33 (if you already have it in your computer choose repair option)

    Now download dot net 2.0 from here : http://www.microsoft.com/download/en/details.aspx?id=19.

    Install it and now use automatic windows update to update security patches. let me know if you face any issues .


    Regards, h9ck3r.
    Friday, October 14, 2011 1:44 PM
  • forgot to mention, once you install .net framework 2.0 reboot the machine and then use the windows update.
    Regards, h9ck3r.
    Friday, October 14, 2011 1:45 PM
  • Hi, and thanks for responding.  However, when I attempt to uninstall NET Framework 2.0 SP2 I get the message "cannot be uninstalled because it will affect other applications that are installed.  For more info see http://gomiocrosoft.com/fwlink/?linkld-91126".  When I go to that link, I could find no direct answer to that problem.  I have NET Framework 1.1, 2.0 SP2, 3.0 SP2 and 3.5 SP1 currently installed on my computer. 

    Regards,

    Bill

    Friday, October 14, 2011 2:19 PM
  • okay if it says "cannot be uninstalled because it will affect other applications that are installed", then  run the .net frame work 2.0 and it should give you 2 options, repair and uninstall. Choose the repair option.
    Regards, h9ck3r.
    Friday, October 14, 2011 2:46 PM
  • When I went to Support Info Microsoft .NET Framework 2.0 Service pack 2, and clicked on the "repair" button, it brought up the message "The feature you are trying to use is on a CD-ROM or other removable disk that is not available" and then blithely suggests I insert the Microsoft .NET Framework 2.0 Service Pack 2 disk", which I never had.

    Also, when you suggested that I run NET Framework 2, how do I do that?  The only executable programs I have for NET Framework are the installation files for the various versions I have on the computer which I downloaded from Microsoft.  The way I got to the window giving me a repair option was by clicking on "Click here for support information" in the Add or Remove Programs window under Microsoft .NET Framework 2.0 Service Pack 2. 

    Thanks for hanging in here with me.

    Regards,

    Bill

    Friday, October 14, 2011 4:29 PM
  • Hi,

     

    I'm still getting that error message as noted in my original posting, and am  unable to carry out the suggestions you made in your October 14 postings.  The result of my attempt is in my previous post of October 14.  What should I do next?  Guidance would be greatly appreciated.

     

    Regards,

     

    Bill

    Tuesday, October 18, 2011 12:38 PM
  • disconnect from the internet. Copy both .net 1.1 and 2.0 on the desktop. Now try unistall the  2.0 and if it throws an error then you can find the log files here:

    Logs produced by the .NET Framework 2.0 SP1 and SP2 setup wrapper:

    %temp%\dd_dotnetfx20install*.txt
    %temp%\dd_dotnetfx20error*.txt
    %temp%\dd_depcheck_netfx20*.txt

    Logs produced by the packages chained during .NET Framework 2.0 SP1 and SP2 setup:


    .NET Framework 2.0 SP1 and SP2 verbose MSI log - %temp%\dd_net_framework20*.txt
    .NET Framework 2.0 SP1 and SP2 language pack verbose MSI log - %temp%\dd_NET_Framework*20*LP*.txt

     

    Let us know why this error is coming up during uninstallation.


    Regards, h9ck3r.
    Tuesday, October 18, 2011 2:35 PM
  • Thanks for the response.   I'm not sure what you mean by "copy both ,net 1.1 and 2.0 onto desk top."  I only have the dotnetfx install files for 2.0, 3, and 3.5.  Did you mean to copy the install files for 1.1 (which I don't have) and for 2.0, which I did?  I then disconnected from the internet and tried to remove 2.0 from Control Panel Add/Remove Programs, and got the "cannot be uninstalled because it will affect other applications that are installed.  For more info see http://gomiocrosoft.com/fwlink/?linkld-91126" error message again. 

    What do you mean I can find the Log if an error is thrown?  How do I locate the logs and what information am I looking for from them?  I am totally confused.

    Regards,

    Bill

    Wednesday, October 19, 2011 1:08 PM
  • Problem resolved.  I'm not sure why, but I was able to uninstall .netframework 1.1 and then reinstall it and sp1, and then install the security update.  Thanks for your help along the way.

     

    Bill

    Saturday, October 22, 2011 1:22 PM